database_api.list_change_recovery_account_requests
since HF11
Purpose
Devuelve una lista de solicitudes de cambio de cuenta de recuperación (recovery account). Parámetros: start:object, limit:int, order:string
startdepende deorder(ver más abajo)limites hasta 1000.orderpuede ser uno de:by_account- ordenar por cuentastartes una cadena de:account
by_effective_date- ordenar por fecha de entrada en vigorstartes un array de dos valores:timestamp,account
| start (object) | limit (int) | order (string) | | |----------------------------|---------------|-| | "" | 10 | "by_account" | Consulta las primeras 10 solicitudes, ordenadas por cuenta | | ["1960-01-01T00:00:00", ""] | 10 | "by_effective_date" | Consulta las primeras 10 solicitudes, ordenadas por fecha de entrada en vigor |
Véase también: Paginated API Methods
Parameters
PARAMETERS
json
{
"start": null,
"limit": 0,
"order": "by_name"
}Example
Example 1
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "database_api.list_change_recovery_account_requests",
"params": {
"start": "alice",
"limit": 10,
"order": "by_account"
},
"id": 1
}'Example 2
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "database_api.list_change_recovery_account_requests",
"params": {
"start": [
"1960-01-01T00:00:00",
""
],
"limit": 10,
"order": "by_effective_date"
},
"id": 1
}'Response
RESPONSE
json
{
"requests": [
{
"id": 99,
"account_to_recover": "alice",
"recovery_account": "bob",
"effective_on": "1960-01-01T00:00:00"
}
]
}